/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */
#pragma once

#define LEVEL_WIDTH 16
#define LEVEL_HEIGHT 16
#define LEVEL_SIZE (LEVEL_WIDTH * LEVEL_HEIGHT)
#define assert(condition, error_msg) if (!(condition)) \
	{ fatal_error = -1; fatal_error_msg = error_msg; return; }

typedef unsigned int tile_t;

static const int kble_format_version = 0;
static const int kble_header_len = 6;

/* set global before call: level_id */
void level_load(void);
/* set global before call: level_id */
void level_save(void);
